\name{average}
\docType{method}
\alias{average,EexprSet-method}
\alias{average}
\title{Average signal channels of a microarray experiment}
\description{
  \code{average} allows to average replicated signal channels of a \code{EexprSet} class.
}
\usage{
average(object,average.which,log.scale=TRUE,method,array.names=NULL,v=TRUE,average.genes=TRUE)
}
\arguments{
  \item{object}{The \code{EexprSet} that contains the signal channels that should be averaged.}
  \item{average.which}{A numerical vector defining which columns of the \code{exprs} (which signal channels) slot of the \code{object} should be averaged. e.g. if the \code{exprs} slot contains 4 column and the columns 1 and 3 respectiveley 2 and 4 contain the expression values of replicated samples, \code{c(1,2,1,2)} has to be submitted to average the replicated samples.}
  \item{log.scale}{If the expression values should be log2 transformed before averaging.}
  \item{method}{The averaging method (one of \code{c("mean","median","tukey.biweight")}).}
  \item{array.names}{The names for the averaged signal channels (the \code{colnames} of the \code{exprs} slot in the returned \code{EexprSet} object).}
  \item{v}{Display some verbose messages during the execution of the function.}
  \item{average.genes}{If replicated spots / genes per signal channel should also be averaged (must have the same ID!).}
}
\details{
This function allows to average replicated microarrays. If the \code{weights} slot of the \code{EexprSet} object is set, all genes that have weight of 0 (e.g. was flagged bad by the scanning software) are excluded from the calculation of the average expression values.
}
\value{
A \code{EexprSet} object that contains the averaged expression values for replicated microarrays.
}
\references{}
\author{Johannes Rainer}

\seealso{
	\code{\link{EexprSet-class}}
}


\keyword{data}

