\name{dbGetComparisons}
\alias{dbGetComparisons}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Get the information about the comparisons from the database}
\description{
This function can be used to get all available information about the comparisons that are stored in the database (but without the data!).
}
\usage{
dbGetComparisons(con, exp.title = NULL, join.tables = c("signal_channels", "samples", "arrays", "experiments"))
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{con}{The connection to the database.}
  \item{exp.title}{Get the comparisons that were created within a specific micro array experiment that was saved in the database. If not submitted all comparisons will be returned. To get the information about the experiments stored in the database, call \code{\link{dbGetExperimentInfo}}.}
  \item{join.tables}{The tables with which the comparisons will be joined. In the default case (which means join to all tables) all information concerning the comparisons (which experiment, sample, array \dots was used) will be returned.}
}
\value{
The function returns a table with rows corresponding to the comparisons and columns to the attributes of the different tables (column names ending in \dQuote{red} belong to the red signal channel and column names ending in \dQuote{green} to the green respectively).
}
\author{Johannes Rainer}
\seealso{\code{\link{dbGetExperimentInfo}}, \code{\link{createJOINQuery}}}
\keyword{data}

