\name{loadFromDB-methods}
\docType{methods}
\alias{loadFromDB-methods}
\alias{loadFromDB,EexprSet-method}
\alias{loadFromDB,Sample-method}
\alias{loadFromDB}
\title{Load a Object from the database}
\description{
  \code{loadFromDB} in package \pkg{tkfi} 
  This method allows to load objects once stored in a database back to the R workspace. Objects from the type \code{EexprSet} can be stored into a PostgreSQL database with the function \code{publishToDB}. To check for available objects in the database call the \code{dbGetExperimentInfo} function by submitting the connection object to the database.
}
\usage{
loadFromDB(object=NULL,connection=NULL,name=NULL,pk=NULL,v=TRUE,...)
}
\arguments{
	\item{object}{An instance of the objects Sample or EexprSet. Depending on what one wishes to load from the database.}
	\item{connection}{The connection object to the database.}
	\item{name}{Only used if a EexprSet should be loaded from the database. Name should be equal to the experiment name that was stored into the database.}
	\item{pk}{For EexprSet: if a subset of arrays should be loaded from one experiment. As pk the primary keys of the corresponding signalchannels should be submitted.}
	\item{v}{If TRUE additional informations will be printed to the console.}
	\item{...}{Additional parameters. Not used yet.}
}
\section{Methods}{
\describe{

\item{object = "EexprSet"}{ Loads a \code{EexprSet} object from the database.}

\item{object = "Sample"}{ Loads a \code{Sample} object from the database.}
}}
\keyword{methods}



